PHP Manual
Prev |  | Next

# win32_delete_service

(PECL)

win32_delete_service -- Deletes a service entry from the SCM database

## Description

int win32_delete_service ( string servicename [, string machine] )

Attempts to delete a service from the SCM database. Administrative privileges are required for this to succeed.

This function really just marks the service for deletion. If other processes (such as the Services Applet) are open, then the deletion will be deferred until those applications are closed. If a service is marked for deletion, further attempts to delete it will fail, and attempts to create a new service with that name will also fail.

## Parameters

servicename

  The short name of the service.

machine

  The optional machine name. If omitted, the local machine will be used.

## Return Values

Returns `TRUE` on success, or a win32 error code on failure.

## Examples

Example 1. A win32_delete_service() example Deletes the dummyphp service.
`<?php win32_delete_service('dummyphp'); ?>`

Prev | Home | Next
win32_create_service | Up | win32_get_last_control_message